<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class User extends CI_Controller{
    
        
    function __construct(){
        parent::__construct();
        error_reporting(E_ALL);
        ini_set('display_errors', 1);
       
    }

    public function index(){
        echo "api autowasap";
    }

    public function login(){
    	$data = array();
    	$group = array();
    	$link = '<a href="https://sekolabs.com/akses/akses-gshoot/" class="am-resource-link" id="resource-link-link-42">[AKSES] G-SHOOT</a>';
    	$username = $this->input->post('username');
    	$password = MD5($this->input->post('password'));

    	$sql = "SELECT * FROM member_gshoot WHERE username = ? AND pwd = ?";
    	$q = $this->db->query($sql, array($username, $password));

    	if($q->num_rows() > 0){
    		$row = $q->row();
    		$data['status'] = 'Sukses';
    		$data['message'] = 'Berhasil';
    		$data['data']['ok'] = true;
	    	$data['data']['user_id'] = $row->user_id;
	    	$data['data']['name'] = $row->name;
	    	$data['data']['name_f'] = $row->name_f;
	    	$data['data']['name_l'] = $row->name_l;
	    	$data['data']['email'] = $row->email;
	    	$data['data']['login'] = $row->username;
	    	$data['data']['subscriptions']['56'] = '2020-02-23';
	    	$data['data']['categoriess']['1'] = '2020-02-23';
	    	$data['data']['groups'] = $group;
	    	$data['data']['resources'][] = $link;
	    	$data['data']['expired_at'] = $row->expired_at;
	    	$data['data']['packet'] = $row->packet;
    	}else{
    		$data['status'] = false;
    		$data['message'] = "Username atau passsword salah";
    		$data['data']['action'] = 'null';
    	}

    	echo json_encode($data);
    }

    public function sync_acc($userID){
    	$data = array();

    	$sql = "SELECT * FROM member_acc WHERE user_id = ?";
    	$q = $this->db->query($sql, array($userID));

    	// if($q->num_rows() > 0){
    		$data['status'] = true;
    		$data['message'] = 'Berhasil';
    		$data['data']['account'] = $q->result();
    	// }else{
    	// 	$data['status'] = true;
    	// 	$data['message'] = "Username atau passsword salah";
    	// 	$data['data']['account'] = ;
    	// }

    	echo json_encode($data);

    }


    public function save_acc(){
    	$data = array();
    	$pwd = $this->input->post('pwd');
    	$ig_id = $this->input->post('ig_id');
    	$username = $this->input->post('username');
    	$cookies = $this->input->post('cookies');
    	$name = $this->input->post('name');
    	$profile_url = $this->input->post('profile_url');
    	$csrftoken= $this->input->post('csrftoken');
    	$user_id = $this->input->post('user_id');
    	$pwd = $this->input->post('pwd');

    	$save = array();
    	$save['pw'] = $pwd;
    	$save['ig_id'] = $ig_id;
    	$save['username'] = $username;
    	$save['strc'] = $cookies;
    	$save['name'] = $name;
    	$save['profile_url'] = $profile_url;
    	$save['xcsrftoken'] = $csrftoken;
    	$save['user_id'] = $user_id;
    	$save['created_at'] = date('Y-m-d H:i:s');

    	$status = $this->db->insert('member_acc', $save);

    	if($status){
    		$data['status'] = true;
    		$data['message'] = "Berhasil";
    		$data['data']['action'] = 'null';
    	}else{
    		$data['status'] = false;
    		$data['message'] = "Failed";
    	}

    	echo json_encode($data);

    }

}

/* End of file Groups.php */
/* Location: ./application/controllers/Groups.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-05-14 11:23:29 */
/* http://harviacode.com */